import Color from 'color';
export interface NamedColors {
    [name: string]: Color;
}
export default class ColorCollection {
    private _named;
    private _anonymous;
    private _containsNamedColorValue;
    private _containsAnonymousColorValue;
    containsColorValue(color: Color | string): boolean;
    addColor(color: Color | string, name?: string): void;
    getNamedColors(): NamedColors;
    getNamedSize(): number;
    getAnonymousColors(): Color[];
    getAnonymousSize(): number;
    get size(): number;
}
