"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.tintAndShadePlugin = exports.contrastPlugin = exports.contrastGridPlugin = exports.dsmPlugin = exports.ColorGlue = void 0;
const color_glue_1 = __importDefault(require("./color-glue"));
const invision_dsm_1 = __importDefault(require("./plugins/invision-dsm"));
const contrast_grid_1 = __importDefault(require("./plugins/contrast-grid"));
const contrast_1 = __importDefault(require("./plugins/contrast"));
const tint_and_shade_1 = __importDefault(require("./plugins/tint-and-shade"));
var color_glue_2 = require("./color-glue");
Object.defineProperty(exports, "ColorGlue", { enumerable: true, get: function () { return __importDefault(color_glue_2).default; } });
exports.dsmPlugin = new invision_dsm_1.default();
exports.contrastGridPlugin = new contrast_grid_1.default();
exports.contrastPlugin = new contrast_1.default();
exports.tintAndShadePlugin = new tint_and_shade_1.default();
const defaultConfig = {
    importers: [],
    urlGenerators: [
        exports.contrastGridPlugin.configKey,
        exports.contrastPlugin.configKey,
        exports.tintAndShadePlugin.configKey,
    ]
};
exports.default = new color_glue_1.default([
    exports.dsmPlugin,
    exports.contrastGridPlugin,
    exports.contrastPlugin,
    exports.tintAndShadePlugin,
], defaultConfig);
//# sourceMappingURL=index.js.map