import ColorCollection from '../color-collection';
import ImporterPlugin, { ImportPluginConfig } from '../interfaces/importer';
declare const configKey = "invisionDsm";
export interface DsmImportConfig {
    url: (string | URL) | (string | URL)[];
}
export interface DsmImportPluginConfig extends ImportPluginConfig {
    name: typeof configKey;
    importConfig: DsmImportConfig;
}
export default class DsmPlugin implements ImporterPlugin {
    get configKey(): string;
    get displayName(): string;
    import(colors: ColorCollection, config: DsmImportConfig): Promise<ColorCollection>;
}
export {};
